#
# git clone git://git.gnome.org/shotwell
# cd shotwell
# git archive --format=tar --prefix=shotwell-20160310/ master | xz > ../shotwell-20160310.tar.xz
#
%define gdate	20160310
%define rel	1

%define url_ver	%(echo %{version}|cut -d. -f1,2)
%define _disable_ld_no_undefined 1
%define Werror_cflags %nil

Name:		shotwell
Version:	0.22.1
Release:	%mkrel %{?gdate:0.%gdate.}%{rel}
Summary:	A photo organizer designed for GNOME
License:	LGPLv2+ and CC-BY-SA
Group:		Graphics/Photography
Url:		http://www.yorba.org/shotwell/
%if 0%{?gdate:1}
Source0:	%{name}-%{gdate}.tar.xz
%else
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
%endif
#Patch2:		fix-locking.diff
BuildRequires:	locales-en
BuildRequires:	vala-devel >= 0.18.0
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(gdk-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gexiv2) >= 0.7.0
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libexif) >= 0.4.90
BuildRequires:	pkgconfig(libgphoto2)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
Obsoletes:	f-spot
Provides:	f-spot

%description
Shotwell is a digital photo organizer designed for the GNOME desktop
environment. It allows you to import photos from disk or camera,
organize them in various ways, view them in full-window or fullscreen
mode, and export them to share with others.

%prep
%setup -qn %{name}-%{?gdate}%{!?gdate:%version}
%autopatch -p1

%build
%before_configure
./configure \
	--prefix=%{_prefix} \
	--lib=%{_lib} \
	--disable-schemas-compile \
	--disable-desktop-update \
	--disable-icon-update
%make MIN_VALAC_VERSION=0.26.0

%install
# otherwise gettext always returns English text regardless of LANGUAGE asked
export LANG=en_US.utf8
%makeinstall_std

# https://bugzilla.gnome.org/show_bug.cgi?id=740873
# FIXME workaround
# use untranslated desktop file while it is not fixed in upstream and use translations from menu-messages
cp -f misc/%{name}.desktop.head %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --all-name

%files -f %{name}.lang
%doc AUTHORS MAINTAINERS README COPYING NEWS THANKS
%{_bindir}/%{name}*
%{_libexecdir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.yorba.%{name}*.gschema.xml
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sat Mar 12 2016 wally <wally> 0.22.1-0.20160310.1.mga5
+ Revision: 989549
- build latest git snapshot to port to WebKit2 and fix TLS certificate validation (mga#17491)

* Sun Feb 22 2015 anaselli <anaselli> 0.20.2-3.mga5
+ Revision: 816424
- rebuilt for new libgphoto2

* Fri Nov 28 2014 alexl <alexl> 0.20.2-2.mga5
+ Revision: 799751
- use translations for desktop file from menu-messages instead of untranslated

* Mon Nov 03 2014 ovitters <ovitters> 0.20.2-1.mga5
+ Revision: 795314
- new version 0.20.2

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 748934
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 ovitters <ovitters> 0.20.0-1.mga5
+ Revision: 697422
- new version 0.20.0

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Mon Sep 01 2014 tv <tv> 0.19.0-1.mga5
+ Revision: 670714
- new release

* Mon Jul 28 2014 tv <tv> 0.18.1-3.mga5
+ Revision: 657816
- patch 2: fix deadlocking while notifying
- patch 2: fix deadlocking while notifying

* Mon Jul 28 2014 tv <tv> 0.18.1-2.mga5
+ Revision: 657770
- git patches:
  o build with vala-0.25.1
  o crash fix

* Tue Jul 01 2014 ovitters <ovitters> 0.18.1-1.mga5
+ Revision: 641972
- new version 0.18.1

* Fri Mar 21 2014 ovitters <ovitters> 0.18.0-1.mga5
+ Revision: 606303
- new version 0.18.0

* Wed Mar 05 2014 ovitters <ovitters> 0.17.2-1.mga5
+ Revision: 599665
- new version 0.17.2

* Tue Feb 18 2014 ovitters <ovitters> 0.17.1-1.mga5
+ Revision: 594104
- new version 0.17.1

* Wed Feb 05 2014 wally <wally> 0.17.0-2.mga5
+ Revision: 583417
- rebuild for new libraw

* Wed Feb 05 2014 dams <dams> 0.17.0-1.mga5
+ Revision: 583081
- new version 0.17.0

* Thu Nov 28 2013 dams <dams> 0.15.1-1.mga4
+ Revision: 553852
- new version 0.15.1

* Wed Nov 27 2013 ovitters <ovitters> 0.15.0-3.mga4
+ Revision: 553629
- update source URL

* Mon Oct 21 2013 umeabot <umeabot> 0.15.0-2.mga4
+ Revision: 539016
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 0.15.0-1.mga4
+ Revision: 491206
- 0.15.0 final

* Thu Oct 03 2013 dams <dams> 0.15.0-0.git20131001.1.mga4
+ Revision: 490650
- fix appdata installation fix a patch submited upstream (#7583)
- new git snapshot (20131001)

* Sat Sep 21 2013 dams <dams> 0.15.0-0.git20130920.1.mga4
+ Revision: 482696
- new git snapshot (20130920), 0.15.0pr2

* Fri Sep 20 2013 dams <dams> 0.15.0-0.git20130919.1.mga4
+ Revision: 481637
- new git snapshot (20130919)

* Mon Sep 16 2013 dams <dams> 0.15.0-0.git20130913.1.mga4
+ Revision: 480332
- new version 0.15.0pr1, git snapshot (20130913)

* Wed May 29 2013 wally <wally> 0.14.1-4.mga4
+ Revision: 432806
- replace libraw patch with one from upstream

* Tue May 28 2013 wally <wally> 0.14.1-3.mga4
+ Revision: 429671
- add patch to fix build with new libraw
- rebuild for new libraw
- remove trailing spaces from description

* Thu May 09 2013 colin <colin> 0.14.1-2.mga3
+ Revision: 412788
- Upstream fix for mga#9978 didn't work - use (hacky) Fedora patch as it does :)
- Upstream patch to fix launching from /bin/shotwell (where /bin is a symlink) mga#9978

* Mon Apr 08 2013 dams <dams> 0.14.1-1.mga3
+ Revision: 409058
- new version 0.14.1

* Wed Apr 03 2013 fwang <fwang> 0.14.0-4.mga3
+ Revision: 407404
- rebuild for new gexiv

  + dams <dams>
    - fix BR for gevix2: asks better version

* Fri Mar 22 2013 dams <dams> 0.14.0-2.mga3
+ Revision: 404488
- update BuildRequires

* Thu Mar 21 2013 dams <dams> 0.14.0-1.mga3
+ Revision: 404342
- new version 0.14.0
- remove useless patch (merged upstream)

* Thu Mar 14 2013 dams <dams> 0.14.0-0.git20130313.1.mga3
+ Revision: 403180
- add a patch to fix pt.po (patch sent upstream: #6560)
- new git snapshot: 20130313
- new git snapshot: 20130307
- remove 'pkgconfig(unique-3.0)' as a buildrequires

* Tue Mar 05 2013 dams <dams> 0.14.0-0.git20130304.1.mga3
+ Revision: 401453
- new git snapshot: 20130304

* Mon Feb 18 2013 dams <dams> 0.14.0-0.git20130215.1.mga3
+ Revision: 399085
- new git snapshot: 201302015

* Fri Feb 08 2013 dams <dams> 0.14.0-0.git20130207.1.mga3
+ Revision: 395527
- new git snapshot: 20130207

* Thu Jan 31 2013 dams <dams> 0.14.0-0.git20130131.1.mga3
+ Revision: 393699
- new git snapshot: 20130131

* Mon Jan 14 2013 umeabot <umeabot> 0.14.0-0.git20130109.2.mga3
+ Revision: 381995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dams <dams> 0.14.0-0.git20130109.1.mga3
+ Revision: 343688
- new git snapshot (ports Shotwell to GStreamer 1.0)

* Sat Oct 06 2012 dams <dams> 0.13.1-1.mga3
+ Revision: 303011
- shotwell-settings-migrator has been moved to %%{_libexecdir}
- add a new BuildRequires (pkgconfig(gstreamer-pbutils-0.10))
- fix %%Group
- remove useless patch (accepted upstream)
- new version 0.13.1

* Sun Sep 23 2012 tv <tv> 0.13.0-2.mga3
+ Revision: 296902
- obsoletes f-spot

* Thu Sep 20 2012 dams <dams> 0.13.0-1.mga3
+ Revision: 296332
- add a patch to fix po files (sent upstream: http://redmine.yorba.org/issues/5860)
- new version 0.13.0

* Wed Aug 29 2012 dams <dams> 0.13.0-0.git20120828.1.mga3
+ Revision: 285015
- new git snapshot for better version in Mageia 3 alpha 1

* Wed Aug 22 2012 dams <dams> 0.13.0-0.git20120822.1.mga3
+ Revision: 283082
- new git snapshot (20120822) to support libgphoto2.5
- add 'json-glib-1.0' as a buildrequire
- new gitsnapshot 20120805 (for new vala and new gexiv2)
- remove uneeded patch

  + fwang <fwang>
    - fix build with vala 0.17.2

* Fri May 11 2012 dams <dams> 0.12.3-3.mga2
+ Revision: 235317
- Better fix for mga#5828, was missing 'locales-en' while building on BS

* Fri May 11 2012 dams <dams> 0.12.3-2.mga2
+ Revision: 235261
- setting 'LANG=en_US.utf8' before 'make install' in order to fix mga#5828

* Thu May 10 2012 dams <dams> 0.12.3-1.mga2
+ Revision: 235110
- new version 0.12.3

* Thu Apr 12 2012 dams <dams> 0.12.2-1.mga2
+ Revision: 230334
- new version 0.12.2

* Thu Mar 29 2012 dams <dams> 0.12.1-1.mga2
+ Revision: 227458
- new version 0.12.1

* Wed Mar 28 2012 dams <dams> 0.12.0-1.mga2
+ Revision: 227273
- new version 0.12.0
- clean specfile

* Wed Mar 21 2012 dams <dams> 0.12.0-0.git20120321.1.mga2
+ Revision: 225277
- new git snapshot (20120321)

* Wed Mar 07 2012 dams <dams> 0.12.0-0.git20120307.2.mga2
+ Revision: 220794
- new version 0.11.93
- new buildrequires: pkgconfig(rest-0.7)

* Thu Mar 01 2012 dams <dams> 0.12.0-0.git20120224.2.mga2
+ Revision: 216433
- clean specfile

* Fri Feb 24 2012 dams <dams> 0.12.0-0.git20120224.1.mga2
+ Revision: 213913
- new version 0.11.92 (git snapshot)

* Tue Feb 21 2012 dams <dams> 0.12.0-0.git20120221.1.mga2
+ Revision: 211559
- update git tarball (0.11.91) for bug fix

* Fri Nov 04 2011 dams <dams> 0.12.0-0.git20111104.1.mga2
+ Revision: 162751
- update git tarball (0.11.6+trunk) for bug fix on 'tags'

* Fri Oct 21 2011 dams <dams> 0.12.0-0.git20111021.1.mga2
+ Revision: 157204
- update git tarball (0.11.5+trunk) for bug fix on 'import from F-Spot'

* Fri Oct 14 2011 dams <dams> 0.12.0-0.git20111014.1.mga2
+ Revision: 154946
- update git tarball to 20111014
- merge 0.11.3 and 0.11.4 bug fixes

* Sun Oct 09 2011 wally <wally> 0.12.0-0.git20111009.1.mga2
+ Revision: 153511
- update to latest git snapshot
- add patch from gentoo to build with latest libraw

  + fwang <fwang>
    - new version 0.11.1

* Mon Jun 20 2011 dmorgan <dmorgan> 0.10.1-2.mga2
+ Revision: 110761
- Rebuild against new webkit

* Thu Jun 16 2011 dams <dams> 0.10.1-1.mga2
+ Revision: 108236
- update spec file and add a linkage fix
- update to 0.10.1

* Wed Mar 16 2011 ahmad <ahmad> 0.8.1-2.mga1
+ Revision: 72972
- rebuild against webkit-1.2.x

* Thu Mar 10 2011 mikala <mikala> 0.8.1-1.mga1
+ Revision: 67699
- Fix BuildRequires
- Remove BuildRoot
- imported package shotwell

